package com.ruoyi.system.service;

import com.ruoyi.system.api.domain.SysDictData;
import java.util.List;
import com.ruoyi.system.api.domain.SysDictType;

public interface ISysDictTypeService
{
    List<SysDictType> selectDictTypeList(final SysDictType p0);
    
    List<SysDictType> selectDictTypeAll();
    
    List<SysDictData> selectDictDataByType(final String p0);
    
    SysDictType selectDictTypeById(final Long p0);
    
    SysDictType selectDictTypeByType(final String p0);
    
    void deleteDictTypeByIds(final Long[] p0);
    
    void loadingDictCache();
    
    void clearDictCache();
    
    void resetDictCache();
    
    int insertDictType(final SysDictType p0);
    
    int updateDictType(final SysDictType p0);
    
    boolean checkDictTypeUnique(final SysDictType p0);
}
